it.csi.mddtools.guigen

## Interface JumpCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface JumpCommand
      extends Command

  A representation of the model object 'Jump Command'. Permette di passare alla visualizzazione di un ContentPanel differente.

  The following features are supported:

  - `Jump To`
  - `Push Current Page`
  See Also:
    `GuigenPackage.getJumpCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContentPanel` | `getJumpTo()` Returns the value of the 'Jump To' reference
    `boolean` | `isPushCurrentPage()` Returns the value of the 'Push Current Page' attribute
    `void` | `setJumpTo(ContentPanel value)` Sets the value of the '`Jump To`' reference
    `void` | `setPushCurrentPage(boolean value)` Sets the value of the '`Push Current Page`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getJumpTo

          ContentPanel getJumpTo()

      Returns the value of the 'Jump To' reference.

      If the meaning of the 'Jump To' reference isn't clear, there really should be more of a description here...

      Il ContentPanel a cui saltare.
      Returns:
        the value of the 'Jump To' reference.
      See Also:
        `setJumpTo(ContentPanel)`, `GuigenPackage.getJumpCommand_JumpTo()`

    - #### setJumpTo

          void setJumpTo(ContentPanel value)

      Sets the value of the '`Jump To`' reference.
      Parameters:
        `value` - the new value of the 'Jump To' reference.
      See Also:
        `getJumpTo()`

    - #### isPushCurrentPage

          boolean isPushCurrentPage()

      Returns the value of the 'Push Current Page' attribute.

      If the meaning of the 'Push Current Page' attribute isn't clear, there really should be more of a description here...

      Salva in uno stack la pagina corrente prima di effettuare il salto. Da utilizzarsi in congiunzione con JumpBackCommand.
      Returns:
        the value of the 'Push Current Page' attribute.
      See Also:
        `setPushCurrentPage(boolean)`, `GuigenPackage.getJumpCommand_PushCurrentPage()`

    - #### setPushCurrentPage

          void setPushCurrentPage(boolean value)

      Sets the value of the '`Push Current Page`' attribute.
      Parameters:
        `value` - the new value of the 'Push Current Page' attribute.
      See Also:
        `isPushCurrentPage()`